Index: /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 142)
@@ -3,36 +3,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME:level2mask
 ;
-; PURPOSE: permet de passer d''un tableau 2d de niveau seuil au
-; tableau 3d de mask avec des 1 ds les niveaux au dessus du
-; niveau seuil et des 0 en dessous (et sur).
+; @file_comments
+; Allow to pass from a 2d sill level array to the 3d mask array with 1s in 
+; levels above the sill level and 0s below (and on it)
 ;
-; CATEGORY: SANS BOUCLE
+; @categories 
+; without loop
 ;
-; CALLING SEQUENCE: res=level2mask(niveau)
+; @param TAB {in}{required}
+; 2d level array of sill level (or a structure respecting litchamp criterions)
 ;
-; INPUTS: niveau tableau 2d de niveaux seuil (ou une structure repondant
-; aux criteres de litchamp)
+; @returns
+; It is a 3d array containing the mask associated to the 2d sill level array
 ;
-; KEYWORD PARAMETERS:
+; @uses
+; common.pro
 ;
-; OUTPUTS: un tableau 3d contenant le mask associe au tableau 2d de
-; niveaux seuil
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       17/6/1999
 ; Setp 2004: boundary level have 0 values and not 1 (as it was
 ; explained before in the header). see:
 ; print, array_equal(niveau, total(level2mask(niveau),3))
+;
+;
+; @version
+; $Id$
 ;
 ;-
@@ -45,14 +40,13 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 @common
 ;------------------------------------------------------------
-; lecture du champ d''entree et recuperation de la taille du sous
-; domaine utilise
+; Reading of the input field and recovery of the size of the used subdomain
 ;------------------------------------------------------------
    niveaux = litchamp(tab)
    grille,maskterre, -1, -1, -1,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification de la coherence entre la taille du tableau et le domaine definit par domdef
+; verification of the coherence between the array's size and the defined by domdef domain
 ;---------------------------------------------------------------
    IF ny EQ 1 THEN niveaux = reform(niveaux, nx, ny, /over)
@@ -66,5 +60,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; on transforme le tableau 2d de niveaux en tableau 3d de mask
+; We transform the 2d leval array in 3d mask array
 ;------------------------------------------------------------
    mask = reform( niveaux[*]#(1./(indgen(nz)+1)), nx, ny, nz )
Index: /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 142)
@@ -3,92 +3,65 @@
 ;------------------------------------------------------------
 ;+
-; NAME: moyenne
-;
-; PURPOSE:  averages a 2- or 3-d field over a selected
+;
+; @file_comments  
+; averages a 2- or 3-d field over a selected
 ;           geographical area and along one ore more
 ;	    selected axes (x, y or z)
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE: result = moyenne(tab,'direc',BOXZOOM=boxzoom)
-;
-; INPUTS:	tab = 2 or 3d field
-;		direc = 'x' 'y' 'z' 'xy' 'xz' 'yz' or 'xyz'
-;
-; KEYWORD PARAMETERS:
-;
-;		BOXZOOM = [xmin,xmax,ymin,ymax (,(zmin,)zmax)] pour plus
-;		de detail cf domdef.
-;               boxzoom peut prendre 5 formes: 
-;               [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
-;               [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1,
-;               lat2, vert1,vert2]
-;
-;               NAN: not a number, a activer si l''on peut faire veut
-;               faire une moyenne sans tenir compte de certaines
-;               valeurs masques de tab.
-;               si les valeurs masques de tab sont la valeur consacree
-;               par IDL (!values.f_nan), il suffit de mettre /NAN.
-;               si les valeurs masques de tab on pour valeur a (a doit
-;               etre differente de 1 (correspond a nan =
-;               !values.f_nan) et de 0 (qui desactive nan)
-;               il faut mettre NAN=a. 
-;               Rq: en sorties les points de result qui sont NAN
-;               auront pour valeur a ou !values.f_nan.
-;
-;               NODOMDEF: activer si l''on ne veut pas passer ds
-;               domdef bien que le mot cle boxzoom soit present (comme
-;               c''est le cas qd moyenne est appelee via checkfield) 
+; @categories
+;
+; @param	TAB {in}{required}
+; 2 or 3d field
+;
+; @param DIREC {in}{required}
+; 'x' 'y' 'z' 'xy' 'xz' 'yz' or 'xyz'
+;
+; @keyword BOXZOOM  
+; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
+; boxzoom can have 5 forms: 
+; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
+; [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
+;
+; @keyword NAN 
+; not a number, we activate it if we want to average without considerate some masked values of TAB.
+; If masked values of TAB are values consecrated by IDL(!values.f_nan), wr just have to put NAN.
+; If masked values of TAB are valued a (a must be different of 1, corresponding to nan =
+; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a. 
+; Comment: In output, rsult points which are NAN will be valued a or !values.f_nan.
 ;            
-;               INTEGRATION: pour faire une integrale plutot qu''une moyenne
+; @keyword NODOMDEF
+; We activate it if we do not want to pass in domdef even if the keyword boxzoom 
+; is present (like when grossemoyenne is called via checkfield)
+;
+; @keyword INTEGRATION 
+; To make an integral rather than an average
 ; 
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
+; @keyword WDEPTH 
+; to specify that the field is at W depth instad of T 
+; depth (automatically activated if vargrid eq 'W') 
 ;            
-; OUTPUTS:  result:un tableau 
-;
-; COMMON BLOCKS:
-;	common   domdef
-;
-; SIDE EFFECTS:met les valeurs correspondants a la terre a 1e20
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard (jv@lodyc.jussieu.fr)
+; @returns
+; An array 
+;
+; @uses
+; common
+; domdef
+;
+; @restrictions Put values corresponding to land at 1.e20
+;
+; @history
+;  Jerome Vialard (jv@lodyc.jussieu.fr)
 ;			2/7/98
 ;                       Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       mise au propre de certains truc (les terres...)
 ;                       14/8/98
 ;                       15/1/98
-;                       11/3/99 adaptation pour NAN
-;                       28/7/99 moyennes tableaux 1d
+;                       11/3/99 adaptation for NAN
+;                       28/7/99 Averages 1d arrays
+;
+; @version
+; $Id$
+;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-; PLAN DU PROGRAMME:
-;------------------------------------------------------------
-;------------------------------------------------------------
-;I) preliminaires
-;   I.1) determination des directions de moyennes d''apres direc
-;   I.2) verification de la taille du tableau d''entree
-;   I.3) obtention des facteurs d''echelles et du masque sur le sous
-;   domaine concerne par la moyenne 
-;  ) moyennes pour les tableaux 1d (x,y)
-;II) moyennes pour les tableaux 2d (x,y)
-;   II.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-;   II.2) differents types de moyennes possibles
-;III) moyennes pour les tableaux 3d (x,y,z)
-;   III.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-;   III.2) differents types de moyennes possibles
-;IV ) finitions
-;   IV.1) on masque les terres par une valeur a 1e+20
-;   IV.2) on remplace, quand nan ne 1, !values.f_nan par nan
-;   IV.3) on revient au sous domaine initial.
-;------------------------------------------------------------
-;------------------------------------------------------------
+
 function moyenne, tab, direc, BOXZOOM = boxzoom, INTEGRATION = integration $
                   , NAN = nan, NODOMDEF = nodomdef, WDEPTH = wdepth $
@@ -106,7 +79,7 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
-;------------------------------------------------------------
-;I) preliminaires
+  tempsun = systime(1)          ; To key_performance
+;------------------------------------------------------------
+;I) preliminaries
 ;------------------------------------------------------------
   dirt = 0
@@ -115,5 +88,5 @@
   dirz = 0
 ;------------------------------------------------------------
-; I.1) direction(s) suivants lesquelles on integre
+; I.1) Directions(s) we follow to integrate
 ;------------------------------------------------------------
   if ( strpos(direc, 't') ge 0 ) then dirt = 1
@@ -123,5 +96,5 @@
   if (dirx eq 0 and diry eq 0 and dirz eq 0) then return, tab
 ;------------------------------------------------------------
-; I.2) verification de la taille du tableau d'entree
+; I.2) verification of the input array's size
 ;------------------------------------------------------------
   taille = size(tab)
@@ -139,10 +112,8 @@
   endcase
 ;------------------------------------------------------------
-;   I.3) obtention des facteurs d''echelles et du masque sur le sous
-;   domaine concerne par la moyenne 
-; redefinition du domaine ajuste a boxzoom (a 6 elements)
-; ceci va nous permetre de faire les calcules que sur le sous domaine
-; comcerne par la moyenne. domdef, suivit de grille nous donne tous
-; les tableaux de la grille sur le sous domaine 
+;   I.3) Obtainment of scale's factors and of the mask on the subdomain concernedby the average.
+; Redefinition of the domain ajusted at boxzoom (at 6 elements)
+; This will allowed us to calculate only in the domain concerned by the average.
+; Domdef, followed by grid give us all arrays of the grid on the subdomain 
 ;------------------------------------------------------------
   if keyword_set(boxzoom) then BEGIN 
@@ -162,5 +133,5 @@
   ENDIF 
 ;---------------------------------------------------------------
-; attribution du mask et des tableaux de longitude et latitude...
+; attribution of the mask and of longitude and latitude arrays...
 ;---------------------------------------------------------------
   IF vargrid EQ 'W' THEN wdepth = 1
@@ -168,5 +139,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; II) Cas du tableau 1d
+; II) Case of the 1d array
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -177,5 +148,5 @@
     ENDIF
     case 1 of
-      nx EQ 1 AND ny EQ 1:BEGIN ;vecteur suivant z
+      nx EQ 1 AND ny EQ 1:BEGIN ;vector following z
         case n_elements(tab) of
           jpk:res = tab[firstz:lastz]
@@ -194,5 +165,5 @@
         ENDELSE 
       END
-      ny EQ 1:BEGIN             ;vecteur suivant x
+      ny EQ 1:BEGIN             ;vector following x
         case n_elements(tab) of
           jpi:res = tab[firstx:lastx]
@@ -211,5 +182,5 @@
         ENDELSE
       END
-      nx EQ 1:BEGIN             ;vecteur suivant y
+      nx EQ 1:BEGIN             ;vector following y
         case n_elements(tab) of
           jpj:res = tab[firsty:lasty]
@@ -232,15 +203,13 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; II) Cas du tableau 2d
+; II) Case of the 2d array
 ;------------------------------------------------------------
 ;------------------------------------------------------------
   if (dim eq '2d') then begin
 ;---------------------------------------------------------------
-;   II.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-; verification de la coherence entre la taille du tableau et le
-; domaine definit par domdef
-; le tableau en entree doit avoir soit la taille du domaine total
-; (jpi,jpj) soit celle du domaine reduit (nx,ny)
+;   II.1) verification of the coherence of the array's size to average
+; Verification of the coherence between the array's size and the domain defined by domdef
+; The input array must have either the total domain's size (jpi,jpj) or this 
+; one of the reduced domain (nx,ny)
 ;---------------------------------------------------------------
     case 1 of
@@ -254,6 +223,6 @@
     ENDCASE
     if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; si nan n''est pas !values.f_nan 
-; on le met a !values.f_nan
+      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan 
+; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
         ELSE notanumber = where(abs(res) GT abs(nan)/10.)
@@ -262,7 +231,7 @@
     ENDIF
 ;---------------------------------------------------------------
-; rq IL FAUT FAIRE ATTENTION AUX CAS OU LA DIM A MOYENNER = 1, ET
-; S'ASSURER QU'ELLE EXISTE BIEN. D'OU LES reform(...,nx,ny,...) QUI
-; PEUVENT SEMBLER INUTILE AU DEPART
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
     if nx EQ 1 OR ny EQ 1 then BEGIN 
@@ -274,5 +243,5 @@
       mask =  reform(mask, nx, ny, nz, /over)
 ;---------------------------------------------------------------
-; II.3) differents types de moyennes
+; II.3) Different types of average
 ;---------------------------------------------------------------
     mask = mask[*, *, 0]
@@ -330,15 +299,14 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; III) Cas du tableau 3d
+; III) Case 3d arrays series (tab4d)
 ;------------------------------------------------------------
 ;------------------------------------------------------------
   if (dim eq '3d') then begin
 ;---------------------------------------------------------------
-; III.1) verification de la coherence de la taille du tableau a
-; moyenner 
-; verification de la coherence entre la taille du tableau et le
-; domaine definit par domdef 
-; le tableau en entree doit avoir soit la taille du domaine total
-; (jpi,jpj,jpk) soit celle du domaine reduit (nx,ny,ny)
+; III.1) Verification of the coherence of the array to average size 
+; Verification of the coherence between the array's size and the domain 
+; defind by domdef 
+; The input array must have either the total domain size (jpi,jpj,jpk) 
+; or this one of the reduced domain (nx,ny,ny)
 ;---------------------------------------------------------------
     case 1 of
@@ -356,6 +324,6 @@
     endcase
     if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; si nan n''est pas !values.f_nan 
-; on le met a !values.f_nan
+      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan 
+; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
         ELSE notanumber = where(abs(res) GT abs(nan)/10.)
@@ -364,7 +332,7 @@
     ENDIF
 ;---------------------------------------------------------------
-; rq IL FAUT FAIRE ATTENTION AUX CAS OU LA DIM A MOYENNER = 1, ET
-; S'ASSURER QU'ELLE EXISTE BIEN. D'OU LES reform(...,nx,ny,...) QUI
-; PEUVENT SEMBLER INUTILE AU DEPART
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
     if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN 
@@ -387,5 +355,5 @@
     ENDIF ELSE bottom = -1
 ;---------------------------------------------------------------
-; III.2) differents types de moyennes
+; III.2) different average types
 ;---------------------------------------------------------------
     if keyword_set(nan) NE 0 then msknan = finite(res) ELSE msknan = -1
@@ -570,8 +538,8 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-;IV ) finitions
-;------------------------------------------------------------
-;------------------------------------------------------------
-; IV.1) on masque les terres par une valeur a 1e+20
+;IV ) finishing
+;------------------------------------------------------------
+;------------------------------------------------------------
+; IV.1) We mask land by a value equal to 1.e+20
 ;------------------------------------------------------------
   valmask = 1e+20
@@ -581,5 +549,5 @@
   ENDIF  
 ;------------------------------------------------------------
-; IV.2) on remplace, quand nan ne 1, !values.f_nan par nan
+; IV.2) We replace, when nan equal 1, !values.f_nan by nan
 ;------------------------------------------------------------
   if keyword_set(nan) NE 0 then BEGIN 
@@ -592,6 +560,5 @@
   ENDIF
 ;------------------------------------------------------------
-; IV.3) on se remplace ds le sous domaine qui etait definit a l''entree de
-; moyenne 
+; IV.3) We replace in the domain whch was defined at the entry of average
 ;------------------------------------------------------------
   if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
Index: /trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 142)
@@ -3,65 +3,67 @@
 ;------------------------------------------------------------
 ;+
-; NAME:norme
-;
-; PURPOSE: calcule la norme d''un champ de vecteurs, puis fait une
-; moyenne eventuelle.
-;          Rq1: le champ de vecteur peut etre, 2d:xy, 3d: xyz ou xyt,
-;          4d: xyzt
-;          Rq2: le calcul de la norme est fait avant l''eventuelle
-;          moyenne spatiale ou temporelle car la moyenne de la norme
-;          n''est pas egale a la norme des moyennes.
-;
-; CATEGORY: calcul de post traitement
-;
-; CALLING SEQUENCE:res=norme(champ_de_vecteurs)
-;
-; INPUTS:un tableau 2d, 3d ou 4d
-;
-; KEYWORD PARAMETERS:
-;
-;       BOXZOOM: boxzoom sur laquelle moyenner (par defaut le domaine
-;       selectionner par le dernier domdef effectue)
-;
-;       DIREC:'t' 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
-;       'xzt' 'yzt' 'xyzt' directions selon lesquelles effectuer les
-;       moyennes 
-;
-; OUTPUTS:tableau a tracer avec plt, pltz ou pltt.
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-;      La norme est calculee aux points T. Pour faire ce calcul, on
-;      moyenne les champs U et V aux points T avant de calculer la norme.
-;      Au bord des cotes et du domaine, on ne peut pas calculer les
-;      champs U et V aux points T, ces points sont donc a la valeur
-;      !values.f_nan. 
+;
+; @file_comments 
+; calculate the norme of a field of vectors, then make a possible average.
+;   Comment 1: The field of vector can be, 2d:xy, 3d: xyz or xyt,
+; 4d: xyzt
+;   Comment 2:
+; The calculation of the norme is made before the possible spatial or 
+; temporal average because the average of the norme is not equal to the 
+; norme of averages
+
+;
+; @categories
+; Post traitment calculation
+;
+; @param COMPOSANTEU {in}{required}
+; an 2d, 3d or 4d array
+;
+; @param COMPOSANTEV {in}{required}
+; an 2d, 3d or 4d array
+;
+; @keyword BOXZOOM
+; boxzoom on which do the average (by default the domain selected 
+; by the last domdef done)
+;
+; @keyword DIREC
+; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;
+; @returns
+; Array to trace with plt, pltz or pltt.
+;
+; @uses
+; common.pro
+;
+; @restrictions 
+; The norme is calculated on points TTo do this calculation, we average 
+; field U and Von points T before calculate the norme. At the edge of 
+; coast and of domain, we can not calculate fields U and V at points T, 
+; that is why these points are at value !values.f_nan. 
 ; 
-;      lorsqu''on fait le calcul sur un domaine geographique reduit,
-;      les champs U et V ne comprennent pas forcement le meme nombre
-;      de points. Dans ce cas on redecoupe U et V pour ne garder que
-;      les points en commun. Au passage on refait un domdef qui
-;      redefinit un domaine geographique sur lequel les champs U et V
-;      sont extraits sur les meme points.
-;
-; RESTRICTIONS:
-;
-;      pour savoir a quel type de tableau on a a faire, on teste la
-;      taille de celui-ci et les dates donnees par time[0] et
-;      time[jpt-1] pour savoir si il y a une dimension
-;      temporelle. Avant de lancer norme s''assurer que time et jpt
-;      sont bien definis comme il faut! 
-;
-; EXAMPLE:
-;
-;     pour calculer la moyenne de la norme des courants sur tout le
-;     dommaine entre 0 et 50:
+; When we calculate on a reduce geographic domain, field U and V have not 
+; necessarily the same number of point. In this case, we recut U and V to 
+; keep only common points. We profit of this to redo a domdef which redefine 
+; a geographic domain on which fields U and V are extracted on same points
+;
+; @restrictions
+; To know what type of array we work with, we  test its size and dates 
+; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension. 
+; Before to start norme, make sure that time and jpt are defined how 
+; they have to! 
+;
+; @examples
+; To calculate the average of the norme of streams on all the domain 
+; between 0 et 50:
 ;      IDL> res=norme(un,vn,boxzoom=[0,50],dir='xyz')
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       9/6/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -81,5 +83,5 @@
   ENDIF
 ;---------------------------------------------------------
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 ;
    IF finite(glamu[0])*finite(gphiu[0])*finite(glamv[0])*finite(gphiv[0]) EQ 0 THEN $
@@ -101,5 +103,5 @@
 ;------------------------------------------------------------
    if NOT keyword_set(direc) then direc = 0
-; construction de u et v aux pts T
+; construction of u and v at points T
    u = litchamp(composanteu)
    v = litchamp(composantev)
@@ -130,5 +132,5 @@
 
 ;------------------------------------------------------------
-; on trouve les points que u et v ont en communs
+; We find common points between u and v
 ;------------------------------------------------------------
    indicexu = (lindgen(jpi))[firstxu:firstxu+nxu-1]
@@ -154,5 +156,5 @@
          indice3d = indice3d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of u and v on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -191,5 +193,5 @@
          endcase
 ;------------------------------------------------------------------
-; on reform u et v pour s'assurer qu'aucune dimension n'a ete ecrasee
+; We reshape u and v to make sure that no dimension has been erased
 ;------------------------------------------------------------------
          if nzt EQ 1 then begin
@@ -198,5 +200,5 @@
          endif
 ;------------------------------------------------------------------
-; construction de u et v aux pts T
+; construction of u and v at points T
 ;-----------------------------------------------------------
          a=u[0,*,*]
@@ -207,5 +209,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
-; attribution du mask et des tableau de longitude et latitude
+; attribution of the mask and of logitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -222,5 +224,5 @@
          mask = where(mask eq 0)
          IF mask[0] NE -1 THEN res[mask] = valmask
-; moyennes en tous genres
+; All kind of average
          domdef, (glamt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, /meme
          if keyword_set(direc) then res = moyenne(res,direc,/nan, boxzoom = boxzoom, /nodomdef)
@@ -236,5 +238,5 @@
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of u and v on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -258,5 +260,5 @@
          endcase
 ;------------------------------------------------------------------
-; construction de u et v aux pts T
+; construction of u and v at points T
 ;-----------------------------------------------------------
          a=u[0,*,*]
@@ -267,13 +269,13 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
-; attribution du mask et des tableau de longitude et latitude
-; on recupere la grille complette pour etablir un grand mask etendu ds les 4
-; directions pour couvrir les points pour lesquels un pt terre a ete pris en
-; compte (faire un petit dessin...)
+; attribution of the mask and of longitude and latitude arrays.
+; We recover the complete grid to establish a big mask extent in the four 
+; direction to cover pointsfor which a land point has been 
+; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
          mask = tmask[indice2d+jpi*jpj*firstzt]
          if ny EQ 1 then mask = reform(mask, nx, ny, /over)
 ;-----------------------------------------------------------
-; construction de terre qui contient tous les point a masquer
+; construction of land containing all points to mask
 ;-----------------------------------------------------------
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
@@ -308,5 +310,5 @@
          indice3d = indice3d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of u and v on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -345,5 +347,5 @@
          endcase
 ;------------------------------------------------------------------
-; construction de u et v aux pts T
+; construction of u and v at points T
 ;-----------------------------------------------------------
          a=u[0,*,*,*]
@@ -354,5 +356,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*,*]=a
 ;----------------------------------------------------------------------------
-; attribution du mask et des tableau de longitude et latitude
+; attribution of the mask and of logitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -375,5 +377,5 @@
             res[temporary(mask)] = valmask
          ENDIF
-; moyennes en tous genres
+; All kind of average
          domdef, (glamt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, /meme
          if keyword_set(direc) then res = grossemoyenne(res,direc,/nan, boxzoom = boxzoom, /nodomdef)
@@ -388,5 +390,5 @@
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of u and v on the appropriated domain
 ;------------------------------------------------------------
          case 1 of
@@ -410,5 +412,5 @@
          endcase
 ;------------------------------------------------------------------
-; on reform u et v pour s'assurer qu'aucune dimension n'a ete ecrasee
+; We reshape u and v to make sure that no dimension has been erased
 ;------------------------------------------------------------------
          if ny EQ 1 then begin
@@ -417,5 +419,5 @@
          endif
 ;------------------------------------------------------------------
-; construction de u et v aux pts T
+; construction of u and v at points T
 ;-----------------------------------------------------------
          a=u[0,*]
@@ -426,13 +428,13 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0]=a
 ;----------------------------------------------------------------------------
-; attribution du mask et des tableau de longitude et latitude
-; on recupere la grille complette pour etablir un grand mask etendu ds les 4
-; directions pour couvrir les points pour lesquels un pt terre a ete pris en
-; compte (faire un petit dessin...)
+; attribution of the mask and of longitude and latitude arrays.
+; We recover the complete grid to establish a big mask extent in the four 
+; direction to cover pointsfor which a land point has been 
+; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
          mask = tmask[indice2d+jpi*jpj*firstzt]
          if nyt EQ 1 THEN mask = reform(mask, nx, ny, /over)
 ;-----------------------------------------------------------
-; construction de terre qui contient tous les point a masquer
+; construction of land containing all points to mask
 ;-----------------------------------------------------------
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
@@ -446,5 +448,5 @@
          mask = where(mask eq 0)
          IF mask[0] NE -1 THEN res[mask] = valmask
-; moyennes en tous genres
+; All kind of average
          domdef, (glamt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, /meme
          if keyword_set(direc) then res = moyenne(res,direc,/nan, boxzoom = boxzoom, /nodomdef)
